Name:           perl-Unicode-CaseFold
Version:        1.00
Release:        6%{?dist}
Summary:        Unicode case-folding for case-insensitive lookups
License:        GPL+ or Artistic

URL:            http://search.cpan.org/dist/Unicode-CaseFold/
Source0:        http://www.cpan.org/authors/id/A/AR/ARODLAND/Unicode-CaseFold-%{version}.tar.gz

BuildRequires:  perl(Exporter)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)
BuildRequires:  perl(XSLoader)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(XSLoader)

Provides:       perl(Unicode::CaseFoldPP)

%{?perl_default_filter}

%description
This module provides Unicode case-folding for Perl. Case-folding is a tool
that allows a program to make case-insensitive string comparisons or do case-
insensitive lookups.

%prep
%setup -q -n Unicode-CaseFold-%{version}

%build
%{__perl} Build.PL installdirs=vendor optimize="$RPM_OPT_FLAGS"
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%files
%doc Changes eg README TODO
%license LICENSE
%{perl_vendorarch}/auto/Unicode*
%{perl_vendorarch}/Unicode*
%{_mandir}/man3/Unicode*

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.00-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.00-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Jun 05 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.00-4
- Perl 5.22 rebuild

* Mon Oct 27 2014 Emmanuel Seyman <emmanuel@seyman.fr> - 1.00-3
- Put back perl(XSLoader) as a requirement (removed by mistake)

* Mon Oct 20 2014 Emmanuel Seyman <emmanuel@seyman.fr> - 1.00-2
- Take into account review feedback (#1154406)

* Sun Sep 14 2014 Emmanuel Seyman <emmanuel@seyman.fr> 1.00-1
- Initial specfile based on the one generated by cpanspec 1.78.
